package com.ruoyi.system.domain.check.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 
 * @author 13560
 * @TableName td_check_type
 */
@Data
public class TdCheckTypeDTO implements Serializable {
    /**
     * 主键
     */
    private String id;

    /**
     * 主表id
     */
    private String checkId;

    /**
     * 检查类型
     */
    private String checkType;

    /**
     * 内容
     */
    private String typeContent;

    /**
     * 自查状态，0合格，1不合格
     */
    private String starts;

    /**
     * 结果状态，0合格，1不合格
     */
    private String resultStarts;

    /**
     * 批注
     */
    private String remark;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}